# Variable bignum`Const`

bignum: {
decode: ((input) => bigint);
encode: ((input, prefix?) => string);
toBytes: ((input, length?) => Uint8Array);
toString: ((input, prefix?) => string);
} = ...

#### Type declaration

- ##### decode: ((input) => bigint)

  - - (input): bigint

    - #### Parameters

      - ##### input: string | Uint8Array

      #### Returns bigint

- ##### encode: ((input, prefix?) => string)

  - - (input, prefix?): string

    - #### Parameters

      - ##### input: bigint

      - ##### prefix: boolean = false

      #### Returns string

- ##### toBytes: ((input, length?) => Uint8Array)

  - - (input, length?): Uint8Array

    - #### Parameters

      - ##### input: number | bigint

      - ##### `Optional` length: number

      #### Returns Uint8Array

- ##### toString: ((input, prefix?) => string)

  - - (input, prefix?): string

    - #### Parameters

      - ##### input: bigint

      - ##### prefix: boolean = false

      #### Returns string

- Defined in core/base/src/utils/encoding.ts:34

Generated using TypeDoc